/*
    VBI-käsittelyn toteutusosa.

    -Marq
*/

#include <proto/exec.h>
#include "vbi.h"

static struct Isrvstr   lumero;

static void (*func1)(void),(*func2)(void);

long __interrupt __saveds VBI_hand()
{
    func1();
    func2();
    return(0L);
}

void VBI_install(void (*f1)(void),void (*f2)(void))
{
    func1=f1;
    func2=f2;
    AddTOF(&lumero,&VBI_hand,0);
}

void VBI_remove(void)
{
    RemTOF(&lumero);
}

/* EOS */
